%define distroname %(if rpm -q redhat-release &>/dev/null; then printf redhat; elif rpm -q fedora-release &>/dev/null ; then printf fedora; elif rpm -q yellowdog-release &>/dev/null ; then printf yellowdog ; else printf '' ;fi)
%define distro %(if [ "%{distroname}" = "redhat" ] ; then printf rh ; elif [ "%{distroname}" = "fedora" ]  ; then printf fc ; elif [ "%{distroname}" = "yellowdog" ] ; then printf yd ; else printf ''; fi)
%define distrover %( if [ "%{distroname}" ] ; then rpm -q %{distroname}-release|cut -f 3 -d - | cut -b 1 ; else printf '' ; fi)
%define vepoch 1
Epoch: 0

Summary:	An OpenGL and SDL based action flight simulator
Summary(de):	Ein OpenGL- und SDL-basierter Flugsimulator
Summary(pl):	Zrcznociowy symulator lotu uywajcy OpenGL i SDL
Name:		gl-117
Version:	1.3
Release: 0.%{distro}%{distrover}.%{vepoch}
%define filelist %{_tmppath}/%{name}-%{release}.txt
License:	GPL
Group:          Amusements/Games
Source0:	%{name}-%{version}-src.tar.bz2
Source1:        bgw-%{name}.desktop
Source2:        %{name}.png
URL:		http://home.t-online.de/home/Primetime./gl-117
BuildRequires:	autoconf
BuildRequires:	automake >= 0:1.6
BuildRequires:	glut-devel
#BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	XFree86-devel
BuildRequires:	openmotif-devel
#BuildRequires:	libogg-devel
BuildRequires:	glib2-devel
BuildRequires:	libstdc++-devel
Requires:	glut
Requires:	glib2
#Requires:	OpenGL
Requires:	Mesa
Requires:	SDL
Requires:	SDL_mixer
Requires:	libvorbis,libogg
Requires:	libstdc++
Requires:	openmotif
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%if "%{distro}%{distrover}" == "fc2"
Requires: xorg-x11-Mesa-libGLU
%else
Requires: XFree86-Mesa-libGLU
%endif

%define		_prefix	/usr/X11R6
%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
GL-117 is an OpenGL and SDL-based action flight simulator written in
C++. It provides a random terrain generator, lighting effects, sounds,
and joystick support. Predefined levels of video quality and an amount
of viewing ranges let you perfectly adjust the game to the performance
of your system.

%description -l de
GL-117 ist ein in C++ entwickelter, OpenGL- und SDL-basierter
Action-Flugsimulator. Neben per Zufall erzeugten Landschaften besticht
das Spiel durch Lichteffekte, Sound und Joystickuntersttzung. Anhand
vordefinierter Qualittsstufen lsst sich die Grafik optimal an die
Leistung des eigenen Systems anpassen.

%description -l pl
GL-117 jest zrcznociowym symulatorem lotu napisanym w C++,
wykorzystujcym biblioteki OpenGL i SDL. Posiada obsug joysticka,
dwik, losowo generowany teren, efekty wietlne. Predefiniowane
poziomy jakoci obrazu oraz szeroki zakres ustawie widocznoci
pozwalaj idealnie dopasowa gr do wydajnoci systemu.

%prep
%setup -q -n %{name}-%{version}-src

%build
aclocal
autoheader
%{__automake}
%{__autoconf}
export LDFLAGS="-L/usr/X11R6/lib -LSDL `sdl-config --libs` -lSDL_mixer -lXm -lXi "
CPPFLAGS="$RPM_OPT_FLAGS -I%{_includedir}"
CXXFLAGS="$RPM_OPT_FLAGS -I%{_includedir}"
%configure
%{__make}

%install
%makeinstall
#install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games/Arcade%{_pixmapsdir}}
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications
install %{SOURCE2} $RPM_BUILD_ROOT/usr/share/pixmaps
cd $RPM_BUILD_ROOT
rm -f %{filelist}
find -type f | sed s/^\.//g >%{filelist}
cat %{filelist} |sed s/'\/usr\/X11R6'/'\%\{_prefix\}'/ >%{filelist}.tmp
mv %{filelist}.tmp %{filelist}


%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{filelist}

%files -f %{filelist}
%defattr(-,root,root)

%changelog
* Tue Jun 22 2004 Peter Hanecak <hanecak@megaloman.sk> 1.3-0.fc2.1
- adapted to Doors Linux
- update to 1.3
- .bz2 source archiv used
- %%{_tmppath} used for build root
- RPM_OPT_FLAGS used

* Fri Jun 11 2004 Richard June <rjune@bravegnuworld.com> - 1.2.%{distro}%{distrover}-5
- Added a conditional so that fc2 requires xorg-Mesa-libGLU.
* Fri Jun 11 2004 Richard June <rjune@bravegnuworld.com> - 1.2.%{distro}%{distrover}-4
- Changed Applications/Games to Amusements/Games
* Fri Jun 11 2004 Richard June <rjune@bravegnuworld.com> - 1.2.%{distro}%{distrover}-3
- Changed file discovery bits in install section to use a temporary file, this fixes blank filelist.
* Tue Jun 08 2004 Richard June <rjune@bravegnuworld.com> - 1.2.%{distro}%{distrover}-2
- Modified so Yellow Dog Linux 3 will get tagged properly
* Sun May 30 2004 Richard June <rjune@bravegnuworld.com>
- Upgraded to version 1.2
- Added Fedora Core 2 support.
* Fri Dec 12 2003 Richard June <rjune@bravegnuworld.com>
- Started modification for compliance w/ fedora.us naming guidelines
- PLD created a date define by running `date`, so I don't know when they first created it.
* Mon Dec 01 2003 Richard June <rjune@bravegnuworld.com>
- Built RPM for Fedora Core 1
* Mon Dec 01 2003 PLD Team <feedback@pld.org.pl>
- All persons listed below can be reached at <cvs_login>@pld.org.pl
